aries-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Christian Schneider (JIRA)" <j...@apache.org>
Subject [jira] [Resolved] (ARIES-1658) Require OSGi 4.3 and slf4j
Date Tue, 14 Mar 2017 10:01:41 GMT

     [ https://issues.apache.org/jira/browse/ARIES-1658?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
]

Christian Schneider resolved ARIES-1658.
----------------------------------------
    Resolution: Fixed

> Require OSGi 4.3 and slf4j
> --------------------------
>
>                 Key: ARIES-1658
>                 URL: https://issues.apache.org/jira/browse/ARIES-1658
>             Project: Aries
>          Issue Type: Improvement
>          Components: Proxy
>    Affects Versions: proxy-impl-1.0.6
>            Reporter: Christian Schneider
>            Assignee: Christian Schneider
>             Fix For: proxy-impl-1.0.7
>
>
> Until now aries proxy depdended only on OSGi 4.2 and also slf4j was marked as optional.
> I think we can now assume OSGi 4.3 is present so we can safely use weaving hook and wiring.
> I also noticed that slf4j is used quite a lot. So I don think it is really optional.



--
This message was sent by Atlassian JIRA
(v6.3.15#6346)

Mime
View raw message